require("dotenv").config();
const mongoose = require("mongoose");
const Product = require("../models/Product");

const seedProducts = [
  //   { name: 'iPhone 14', category: 'Electronics', price: 999 },
  //   { name: 'Nike Air Max', category: 'Footwear', price: 120 },
  //   { name: 'Sony Headphones', category: 'Electronics', price: 199 }
  
    { name: "iPhone 14", category: "Electronics", price: 999 },
    { name: "Nike Air Max", category: "Footwear", price: 120 },
    { name: "Sony Headphones", category: "Electronics", price: 199 },

    { name: "Samsung Galaxy S23", category: "Electronics", price: 899 },
    { name: "Dell XPS 13", category: "Computers", price: 1299 },
    { name: "Apple Watch Series 8", category: "Wearables", price: 399 },
    { name: "Logitech MX Master 3", category: "Accessories", price: 99 },
    { name: "Kindle Paperwhite", category: "Electronics", price: 139 },
    { name: "Canon EOS M50", category: "Electronics", price: 649 },
    { name: "Bose QuietComfort 45", category: "Electronics", price: 329 },
    { name: "Asus ROG Strix G16", category: "Computers", price: 1599 },
    { name: "Google Pixel 8", category: "Electronics", price: 799 },
    { name: "Anker PowerCore 20000", category: "Accessories", price: 59 },
    { name: "Samsung Galaxy Watch 6", category: "Wearables", price: 349 },
    { name: "Razer BlackWidow V3", category: "Accessories", price: 139 },
    { name: "HP Spectre x360", category: "Computers", price: 1399 },
    { name: "Meta Quest 3", category: "Wearables", price: 499 },
    { name: "Beats Studio Pro", category: "Electronics", price: 349 }
  
];

mongoose
  .connect(process.env.MONGODB_URI)
  .then(async () => {
    console.log("MongoDB connected");
    await Product.deleteMany(); // Optional: clears old data
    await Product.insertMany(seedProducts);
    console.log("Sample products inserted");
    process.exit();
  })
  .catch((err) => console.log(err));
